#pragma once

#include <cstdint>

struct nbt_node;
struct list_head;

namespace NBT::Internal
{
    nbt_node *FindByName(nbt_node *tree, const char *name);
    nbt_node *ListItem(nbt_node *list, int32_t index);

    list_head *GetFirstItem(nbt_node *list);
    list_head *GetNextItem(list_head *item);
    nbt_node* GetListEntry(list_head *item);
}
